zenilib: FT_LibraryRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_LibraryRec_ Struct Reference

`#include <ftobjs.h>`

## Public Attributes

FT_Module | auto_hinter
FT_Renderer | cur_renderer
FT_DebugHook_Func | debug_hooks [4]
FT_Memory | memory
FT_Module | modules [FT_MAX_MODULES]
FT_UInt | num_modules
FT_Byte * | raster_pool
FT_ULong | raster_pool_size
FT_UInt | refcount
FT_ListRec | renderers
FT_Int | version_major
FT_Int | version_minor
FT_Int | version_patch

## Detailed Description

Definition at line 824 of file ftobjs.h.

## Member Data Documentation

FT_Module FT_LibraryRec_::auto_hinter

Definition at line 837 of file ftobjs.h.

Referenced by Destroy_Module(), and FT_Load_Glyph().

FT_Renderer FT_LibraryRec_::cur_renderer

Definition at line 836 of file ftobjs.h.

Referenced by ft_lookup_glyph_renderer(), and ft_set_current_renderer().

FT_DebugHook_Func FT_LibraryRec_::debug_hooks[4]

Definition at line 843 of file ftobjs.h.

Referenced by tt_face_init().

FT_Memory FT_LibraryRec_::memory

Definition at line 826 of file ftobjs.h.

Referenced by ft_add_renderer(), FT_New_Library(), ft_remove_renderer(), main(), and parse_afm().

FT_Module FT_LibraryRec_::modules[FT_MAX_MODULES]

Definition at line 833 of file ftobjs.h.

Referenced by ft_module_get_service().

FT_UInt FT_LibraryRec_::num_modules

Definition at line 832 of file ftobjs.h.

Referenced by ft_module_get_service().

FT_Byte* FT_LibraryRec_::raster_pool

Definition at line 839 of file ftobjs.h.

Referenced by FT_New_Library(), ft_raster1_init(), and ft_smooth_init().

FT_ULong FT_LibraryRec_::raster_pool_size

Definition at line 841 of file ftobjs.h.

Referenced by FT_New_Library(), ft_raster1_init(), and ft_smooth_init().

FT_UInt FT_LibraryRec_::refcount

Definition at line 856 of file ftobjs.h.

Referenced by FT_New_Library().

FT_ListRec FT_LibraryRec_::renderers

Definition at line 835 of file ftobjs.h.

Referenced by ft_add_renderer(), and ft_remove_renderer().

FT_Int FT_LibraryRec_::version_major

Definition at line 828 of file ftobjs.h.

Referenced by FT_New_Library().

FT_Int FT_LibraryRec_::version_minor

Definition at line 829 of file ftobjs.h.

Referenced by FT_New_Library().

FT_Int FT_LibraryRec_::version_patch

Definition at line 830 of file ftobjs.h.

Referenced by FT_New_Library().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/ftobjs.h